Skip to main content

Endpoint

POST https://app.sling.com.ng/api/v2/phone-number-check
Use this endpoint to normalize a phone number and detect its country and mobile network operator before sending.

Headers

HeaderValue
Acceptapplication/json
AuthorizationBearer {API_TOKEN}
Content-Typeapplication/json

Body parameters

phone
string
required
Phone number to check. Accepts local format (08140363541), country code (2348140363541), or + prefix (+2348140363541).

Response fields

status
string
"success" when the lookup completes.
number
string
Normalized phone number.
network
string
Detected mobile network, such as MTN, GLO, AIRTEL, or ETISALAT.
country
string
Detected country name or ISO code.

Example response

{
  "status": "success",
  "number": "2348140363541",
  "network": "MTN",
  "country": "Nigeria"
}

Error responses

StatusMeaning
400Phone number is missing — "details": "Phone Number is required"